Subject: Re: [NTG-context] m-letter.tex -- backslash interpretation error
From: Hans Hagen <[email-masked]>
To: [email-masked]
Date: Tue, 11 Jan 2005 13:27:45 +0100

[email-masked] wrote:
>>Rob Ermers wrote:
>>
>>>I also found out that \usemodule[m-letter] works much better than
>>>\usemodule[letter], which is not evident from the way is Context set up.
>>>
>>
>>Hans Hagen comments:
>>maybe your local m-letter-re gets loaded otherwise
>>
> 
> 
> No, I have renamed the file m-letter-re back to m-letter.tex. The only adaptations in that file are the Dutch salutations and greetings which I want to have automatized rather than redefine them in a local file. So now, with \usemodule[m-letter], everything works fine. (Apart from the diacritics in the xml address file, that is.)
> 
> If I write \usemodule[letter] a general tex file /letter.tex is loaded. Someone else already pointed that out. I'm not at home now, so I cannot check it, but it seems to me that it is this file: \texmf\tex\plain\base\Letter.tex. Context gets stuck at this and generates an error.

this is weird, since the order of loading is:

m- p- s- x- t- and only when that fails, the raw name

btw, you can say \usemodule[m][letter] to force m over something else (handy for 
local modules); so, it looks like tex cannot find your m-letter module; does

kpsewhich --progname=context m-letter.tex

report something? did you do a mktexlsr ?

Hans

-----------------------------------------------------------------
                                           Hans Hagen | PRAGMA ADE
               Ridderstraat 27 | 8061 GH Hasselt | The Netherlands
      tel: 038 477 53 69 | fax: 038 477 53 74 | www.pragma-ade.com
                                              | www.pragma-pod.nl
-----------------------------------------------------------------